<html>
    <head>
        <style type="text/css">
            .border_atas {
                border-top: 1px solid black;
                border-collapse: collapse;
            }

            .border_kiri {
                border-left: 1px solid black;
                border-collapse: collapse;
            }

            .border_kanan {
                border-right: 1px solid black;
                border-collapse: collapse;
            }

            .border_bawah {
                border-bottom: 1px solid black;
                border-collapse: collapse;
            }

            .font_besar {
                font-size: 12pt;
            }

            .font_kecil {
                font-size: 10pt;
            }

            .font_lima {
                font-size: 7pt;
            }

            .font_tujuh {
                font-size: 7pt;
            }  

            .font_sepuluh {
                font-size: 10pt;
            }    

            .font_sembilan {
                font-size: 9pt;
            }
            
            .barcode {
                padding: 1.5mm;
                margin: 0;
                vertical-align: top;
                color: #000044;
            }
            
            .barcodecell {
                text-align: center;
                vertical-align: middle;
            }
            @page{
                margin:40px;
            }
        </style>
    </head>
    <body>
        <?php
        ini_set("max_execution_time", 500);
        if (!function_exists('kekata')) {

            function kekata($x) {
                $x = abs($x);
                $angka = array("", "Satu", "Dua", "Tiga", "Empat", "Lima",
                    "Enam", "Tujuh", "Delapan", "Sembilan", "Sepuluh", "Sebelas");
                $temp = "";
                if ($x < 12) {
                    $temp = " " . $angka[$x];
                } else if ($x < 20) {
                    $temp = kekata($x - 10) . " Belas";
                } else if ($x < 100) {
                    $temp = kekata($x / 10) . " Puluh" . kekata($x % 10);
                } else if ($x < 200) {
                    $temp = " Seratus" . kekata($x - 100);
                } else if ($x < 1000) {
                    $temp = kekata($x / 100) . " Ratus" . kekata($x % 100);
                } else if ($x < 2000) {
                    $temp = " Seribu" . kekata($x - 1000);
                } else if ($x < 1000000) {
                    $temp = kekata($x / 1000) . " Ribu" . kekata($x % 1000);
                } else if ($x < 1000000000) {
                    $temp = kekata($x / 1000000) . " Juta" . kekata($x % 1000000);
                } else if ($x < 1000000000000) {
                    $temp = kekata($x / 1000000000) . " Milyar" . kekata(fmod($x, 1000000000));
                } else if ($x < 1000000000000000) {
                    $temp = kekata($x / 1000000000000) . " Trilyun" . kekata(fmod($x, 1000000000000));
                }
                return $temp;
            }

        }

        function terbilang($x, $style = 4) {
            if ($x < 0) {
                $hasil = "MINUS " . trim(kekata($x));
            } else {
                $hasil = trim(kekata($x));
            }
            switch ($style) {
                case 1:
                    $hasil = strtoupper($hasil);
                    break;
                case 2:
                    $hasil = strtolower($hasil);
                    break;
                case 3:
                    $hasil = ucwords($hasil);
                    break;
                default:
                    $hasil = ucfirst($hasil);
                    break;
            }
            return $hasil;
        }
        
        $tgljatuhtempo = $data['t_tgljatuhtempo'];
        $tglsekarang = ($data['t_tgljadwalangsuran'] >= date('Y-m-d')) ? $data['t_tgljadwalangsuran'] : date('Y-m-d');
        
        $jatuhtempo = strtotime($tgljatuhtempo);
        $jadwalbayar = strtotime($tglsekarang);

        $year1 = date('Y', $jatuhtempo);
        $year2 = date('Y', $jadwalbayar);

        $month1 = date('m', $jatuhtempo);
        $month2 = date('m', $jadwalbayar);

        $day1 = date('d', $jatuhtempo);
        $day2 = date('d', $jadwalbayar);
        if ($day1 < $day2) {
            $tambahanbulan = 1;
        } else {
            $tambahanbulan = 0;
        }

        $jmlbulan = (($year2 - $year1) * 12) + ($month2 - $month1 + $tambahanbulan);
        if ($jmlbulan > $data['s_maxbulandenda']) {
            $jmlbulan = $data['s_maxbulandenda'];
            $jmlbunga = round($jmlbulan * 2 / 100 * $data['t_nominalangsuran']);
        } elseif ($jmlbulan <= 0) {
            $jmlbulan = 0;
            $jmlbunga = round($jmlbulan * 2 / 100 * $data['t_nominalangsuran']);
        } else {
            $jmlbunga = round($jmlbulan * 2 / 100 * $data['t_nominalangsuran']);
        }

        ?>
        <table class="border_atas border_bawah border_kanan border_kiri font_sembilan" style="width: 100%;font-family: sans-serif;">
            <tr>
                <td>
                    <?php $gambar = $_SERVER['DOCUMENT_ROOT'] . "" . $this->basePath() . "/" . $ar_pemda->s_logo;
                    ?> 
                    <img src="<?= $gambar ?>" style="width:50px; padding: 10px"  />
                </td>
                <td>
                    <b style="font-size:10pt;">PEMERINTAH KABUPATEN <?= strtoupper($ar_pemda->s_namakabkota) ?></b>
                    <br>
                    <b style="font-size:12pt;"><?= strtoupper($ar_pemda->s_namainstansi) ?></b>
                    <br>
                    <?= $ar_pemda->s_alamatinstansi ?> <br>Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?>
                </td>
                <td style="text-align: center" class="border_kiri font_sepuluh">
                    <b>Kode Bayar</b><br>
                    <div class="barcodecell"><barcode code="<?= $data['t_kodebayarangsuran']; ?>" type="I25" class="barcode" /></div>
                    <?= $data['t_kodebayarangsuran']; ?>
                </td>
                <td style="text-align: center" class="border_kiri font_sepuluh">
                    <?php $gambarbank = $_SERVER['DOCUMENT_ROOT'] . "" . $this->basePath() . "/public/upload/logo_bank.png" ?> 
                    <img src="<?= $gambarbank ?>" style="width:100px; padding: 10px"  />
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_sepuluh" style="width: 100%;font-family: sans-serif;">
            <tr>
                <td colspan="3" style="padding:0; border-spacing:0px; padding-left: 15px; width: 20%; padding-top: 10px; padding-bottom: 10px; vertical-align: top;text-align:center;" class="border_bawah">
                    <u><b style=" font-size: 14pt;">KODE BAYAR ANGSURAN KE-<?=$data['t_angsuranke']?></b></u>
                    <br><b style=" font-size: 12pt;"><?=strtoupper($data['s_namajenis'])?></b>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; width: 20%; padding-top: 10px; vertical-align: top">
                    NPWPD
                </td>
                <td style="padding:0;border-spacing:0px; padding-top: 10px; vertical-align: top; width: 2%">
                    :
                </td>
                <td style="padding:0;border-spacing:0px; padding-top: 10px;">
                    <?= $data['t_npwpdwp'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; width: 20%; vertical-align: top">
                    Nama
                </td>
                <td style="padding:0;border-spacing:0px; vertical-align: top">
                    :
                </td>
                <td style="padding:0;border-spacing:0px;">
                    <?= $data['t_namawp'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; vertical-align: top">
                    Alamat
                </td>
                <td style="padding:0;border-spacing:0px; vertical-align: top">
                    :
                </td>
                <td style="padding:0;border-spacing:0px;">
                    <?= $data['t_alamat_lengkapwp'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; vertical-align: top">
                    ID OP
                </td>
                <td style="padding:0;border-spacing:0px; vertical-align: top">
                    :
                </td>
                <td style="padding:0;border-spacing:0px;">
                    <?= $data['t_nop'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; vertical-align: top">
                    Nama Objek
                </td>
                <td style="padding:0; border-spacing:0px; vertical-align: top">
                    :
                </td>
                <td style="padding:0; border-spacing:0px;">
                    <?= $data['t_namaobjek'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; vertical-align: top">
                    Alamat Objek
                </td>
                <td style="padding:0; border-spacing:0px; vertical-align: top">
                    :
                </td>
                <td style="padding:0; border-spacing:0px;">
                    <?= $data['t_alamatlengkapobjek'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; vertical-align: top;font-weight:bold;">
                    Tagihan Pokok
                </td>
                <td style="padding:0; border-spacing:0px; vertical-align: top">
                    :
                </td>
                <td style="padding:0; border-spacing:0px;font-weight:bold;">
                    Rp. <?= number_format($data['t_nominalangsuran'], 2, ',', '.') ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; vertical-align: top;font-weight:bold;">
                    Bunga
                </td>
                <td style="padding:0; border-spacing:0px; vertical-align: top">
                    :
                </td>
                <td style="padding:0; border-spacing:0px;font-weight:bold;">
                    Rp. <?= number_format($jmlbunga, 2, ',', '.') ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; vertical-align: top;font-weight:bold;">
                    Jumlah Angsuran
                </td>
                <td style="padding:0; border-spacing:0px; vertical-align: top">
                    :
                </td>
                <td style="padding:0; border-spacing:0px;font-weight:bold;">
                    Rp. <?= number_format($data['t_nominalangsuran'] + $jmlbunga, 2, ',', '.') ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; padding-bottom: 10px; vertical-align: top">
                    Terbilang
                </td>
                <td style="padding:0; border-spacing:0px; padding-bottom: 10px; vertical-align: top">
                    :
                </td>
                <td style="padding:0; border-spacing:0px; padding-bottom: 10px;">
                    <i><?= terbilang($data['t_nominalangsuran'] + $jmlbunga); ?> Rupiah</i>
                </td>
            </tr>
        </table>
        <span style="font-size: 7pt;">Print by SIMPATDA</span>
    </body>
</html>